Return the last error number

- « curl_copy_handle

- curl_error »

- PHP Manual
- cURL Functions
- Return the last error number

# curl_errno

(PHP 4 >= 4.0.3, PHP 5, PHP 7, PHP 8)

curl_errno — Return the last error number

### Description

curl_errno(CurlHandle `$handle`): int

Returns the error number for the last cURL operation.

### Parameters

`handle`

  A cURL handle returned by curl_init().

### Return Values

Returns the error number or `0` (zero) if no error occurred.

### Changelog

Version | Description
--- | ---
8.0.0 | `handle` expects a CurlHandle instance now; previously, a resource was expected.

### Examples

Example #1 curl_errno() example

    <?php// Create a curl handle to a non-existing location$ch = curl_init('http://404.php.net/');// Executecurl_setopt($ch, CURLOPT_RETURNTRANSFER, true);curl_exec($ch);// Check if any error occurredif(curl_errno($ch)){    echo 'Curl error: ' . curl_error($ch);}// Close handlecurl_close($ch);?>

### See Also

- curl_error() - Return a string containing the last error for the current session
- » Curl error codes